
Foreman - Bug #5869

Accents etc should be permitted in user first and last names

05/22/2014 10:21 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Dominic Cleal   

Category: Database   

Target version: 1.5.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1107676 Red Hat JIRA:  

Pull request:    

Description

Users cannot currently put accents in their first/last names when using Ruby 1.8.7 as the use of :alnum: in the validation doesn't

match accents.  This appears to work on 2.0.0 at least.

Original PR: https://github.com/theforeman/foreman/pull/1387

Related issues:

Related to Foreman - Bug #7548: Cannot use UTF8 characters as a user's login,... Closed 09/19/2014

Associated revisions

Revision 1678e0e1 - 06/02/2014 07:16 PM - Dominic Cleal

fixes #5869 - permit accents in user names on Ruby 1.8

Revision 405457fa - 06/11/2014 01:02 PM - Dominic Cleal

fixes #5869 - permit accents in user names on Ruby 1.8

(cherry picked from commit 1678e0e1953fa8ad6e23fc1bf08b7d3428e0e1c6)

History

#1 - 05/22/2014 10:42 AM - Dominic Cleal

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/1467

#2 - 06/02/2014 07:31 PM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 1678e0e1953fa8ad6e23fc1bf08b7d3428e0e1c6.

#3 - 06/03/2014 07:07 AM - Dominic Cleal

- translation missing: en.field_release set to 16

#4 - 06/10/2014 12:41 PM - Bryan Kearney

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1107676

#5 - 09/16/2014 11:02 AM - Mathieu Parent

Hello,

I still can't use accents with 1.5.2-1. LDAP data seems to come as ASCII (but it includes accents!). Any idea?

#6 - 09/19/2014 11:44 AM - Dominic Cleal
- Related to Bug #7548: Cannot use UTF8 characters as a user's login, firstname or lastname added
